/*
 * Class INDEXABLE [CHARACTER_8, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_503 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_503 [] = {0xFF01,237,502,185,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_503 [] = {0xFF01,502,185,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_503 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_503 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_503 [] = {0xFF01,502,185,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_503 [] = {0xFF01,502,185,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_503 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_503 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_503 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_503 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_503 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_503 [] = {502,185,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_503 [] = {0xFF01,502,185,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_503 [] = {0xFF01,504,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_503 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_503 [] = {0xFF01,496,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_503 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_503 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_503 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_503 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_503 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_22_503 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_503[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_503), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_503), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_503), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_503), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_503), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_503), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_503), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_503), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_503), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_503), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_503), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_503), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_503), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_503), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1881, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1882, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1883, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1884, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_503), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_503), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1974, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1942, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1943, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_503), 3374, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_503), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_503), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_503), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_503), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_503), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_503), -1, 0xFFFFFFFF},
};
void Init503(void)
{
	IDSC(desc_503, 0, 502);
	IDSC(desc_503 + 1, 1, 502);
	IDSC(desc_503 + 32, 77, 502);
	IDSC(desc_503 + 41, 282, 502);
	IDSC(desc_503 + 50, 99, 502);
	IDSC(desc_503 + 52, 187, 502);
	IDSC(desc_503 + 58, 256, 502);
	IDSC(desc_503 + 61, 229, 502);
	IDSC(desc_503 + 62, 172, 502);
}


#ifdef __cplusplus
}
#endif
